Bug 137880 - CAN-2004-1002 Integer underflow in ppp
Summary: CAN-2004-1002 Integer underflow in ppp
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ppp   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-02 15:08 UTC by Josh Bressers
Modified: 2015-01-08 00:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 12:46:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-11-02 15:08:55 UTC
Improper verification of header fields lets an attacker make the pppd
server access memory it isn't allowed to, and crash the server.  There
is no possibility of code execution, as there is no data being copied,
just a pointer dereferenced.

More information here.
       
http://www.securityfocus.com/archive/1/379450/2004-10-23/2004-10-29/0



This issue also affects RHEL2.1

Comment 1 Mark J. Cox 2004-11-03 12:46:21 UTC
This issue is only a DoS on the connection the attacker is using.


Note You need to log in before you can comment on or make changes to this bug.